Skip to main content
POST
/
video-generation
kling-v3
curl --request POST \
  --url https://api.linkai.one/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-v3",
  "prompt": "<string>",
  "duration": 123,
  "extends": {},
  "extends.audio": true,
  "extends.cfg_scale": 123,
  "extends.negative_prompt": "<string>",
  "first_frame_image": "<string>",
  "last_frame_image": "<string>",
  "size": "<string>"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

prompt is required for kling-v3

Available options:
kling-v3
prompt
string
required

prompt is required for image-to-video

duration
integer

duration must be between 3 and 15 seconds

extends
object

extends must be a valid object

extends.audio
boolean

extends.audio must be a boolean

extends.cfg_scale
integer

extends.cfg_scale must be between 0 and 1

extends.negative_prompt
string

negative_prompt must be at most 2500 characters

first_frame_image
string

first_frame_image must be a valid URL

last_frame_image
string

last_frame_image must be a valid URL

size
string

size must map to aspect_ratio 16:9, 9:16 or 1:1

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"